package com.willalp.vacation.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 转正记录对象 hs_change_official_record
 *
 * @author willalp
 * @date 2023-03-19
 */

@TableName("hs_change_official_record")
public class HsChangeOfficialRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 工号 */
    @Excel(name = "工号")
    private String jobNo;

    /** 部门 */
    @Excel(name = "部门")
    private String department;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 得分 */
    @Excel(name = "得分")
    private String score;

    /** 主管评价 */
    @Excel(name = "主管评价")
    private String managerOpinion;

    /** 部门意见 */
    @Excel(name = "部门意见")
    private String departmentOpinion;

    /** 结果 */
    @Excel(name = "结果")
    private String result;

    /** 考评单号 */
    @Excel(name = "考评单号")
    private String examEvaluateNo;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setJobNo(String jobNo)
    {
        this.jobNo = jobNo;
    }

    public String getJobNo()
    {
        return jobNo;
    }
    public void setDepartment(String department)
    {
        this.department = department;
    }

    public String getDepartment()
    {
        return department;
    }
    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setScore(String score)
    {
        this.score = score;
    }

    public String getScore()
    {
        return score;
    }
    public void setManagerOpinion(String managerOpinion)
    {
        this.managerOpinion = managerOpinion;
    }

    public String getManagerOpinion()
    {
        return managerOpinion;
    }
    public void setDepartmentOpinion(String departmentOpinion)
    {
        this.departmentOpinion = departmentOpinion;
    }

    public String getDepartmentOpinion()
    {
        return departmentOpinion;
    }
    public void setResult(String result)
    {
        this.result = result;
    }

    public String getResult()
    {
        return result;
    }
    public void setExamEvaluateNo(String examEvaluateNo)
    {
        this.examEvaluateNo = examEvaluateNo;
    }

    public String getExamEvaluateNo()
    {
        return examEvaluateNo;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("jobNo", getJobNo())
            .append("department", getDepartment())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("score", getScore())
            .append("managerOpinion", getManagerOpinion())
            .append("departmentOpinion", getDepartmentOpinion())
            .append("result", getResult())
            .append("examEvaluateNo", getExamEvaluateNo())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
